[openrtm-commit:01078] r578 - in trunk/OpenRTM-aist-Python/packages/deb: . bin debian
openrtm @ openrtm.org
openrtm @ openrtm.org
2013年 5月 3日 (金) 00:17:15 JST
Author: n-ando
Date: 2013-05-03 00:17:15 +0900 (Fri, 03 May 2013)
New Revision: 578
Added:
trunk/OpenRTM-aist-Python/packages/deb/bin/
trunk/OpenRTM-aist-Python/packages/deb/bin/debian_debcp.sh
trunk/OpenRTM-aist-Python/packages/deb/bin/debian_repo.sh
trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_debcp.sh
trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_repo.sh
trunk/OpenRTM-aist-Python/packages/deb/debian/
trunk/OpenRTM-aist-Python/packages/deb/debian/README.Debian
trunk/OpenRTM-aist-Python/packages/deb/debian/changelog
trunk/OpenRTM-aist-Python/packages/deb/debian/compat
trunk/OpenRTM-aist-Python/packages/deb/debian/control
trunk/OpenRTM-aist-Python/packages/deb/debian/copyright
trunk/OpenRTM-aist-Python/packages/deb/debian/docs
trunk/OpenRTM-aist-Python/packages/deb/debian/rules
Removed:
trunk/OpenRTM-aist-Python/packages/deb/README.Debian
trunk/OpenRTM-aist-Python/packages/deb/changelog
trunk/OpenRTM-aist-Python/packages/deb/compat
trunk/OpenRTM-aist-Python/packages/deb/control
trunk/OpenRTM-aist-Python/packages/deb/copyright
trunk/OpenRTM-aist-Python/packages/deb/debian_debcp.sh
trunk/OpenRTM-aist-Python/packages/deb/debian_repo.sh
trunk/OpenRTM-aist-Python/packages/deb/docs
trunk/OpenRTM-aist-Python/packages/deb/files
trunk/OpenRTM-aist-Python/packages/deb/rules
trunk/OpenRTM-aist-Python/packages/deb/ubuntu_debcp.sh
trunk/OpenRTM-aist-Python/packages/deb/ubuntu_repo.sh
Modified:
trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh
Log:
Directories/files structure has been changed.
Deleted: trunk/OpenRTM-aist-Python/packages/deb/README.Debian
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/README.Debian 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/README.Debian 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,28 +0,0 @@
-openrtm-aist for Debian
------------------------
-Debian package of OpenRTM-aist
-
-OpenRTM-aist supports Debian and Ubuntu distribution.
-
-OpenRTM-aist official deb packages might be provided for the newest
-and former major releases of Debian under the following URL. For the
-Ubuntu distribution, deb packages might be provided for desktop
-versions of officially supported Ubuntu.
-
-- Debian package repository
-http://www.openrtm.org/pub/Linux/debian/
-
-- Ubuntu package repository
-http://www.openrtm.org/pub/Linux/ubuntu/
-
-The easyest way to install OpenRTM-aist to your Debian/Ubuntu systems
-is to download installation shell script from the following URL.
-
-- Ubuntu installation script: pkg_install100_ubuntu.sh
-- Debian installation script: pkg_install100_debian.sh
-http://openrtm.org/svnroot/OpenRTM-aist/trunk/OpenRTM-aist/build/
-
-For more details about OpenRTM-aist please visit the official site.
-http://www.openrtm.org
-
- -- Noriaki Ando <n-ando at aist.go.jp> Mon, 23 Jun 2008 16:18:55 +0900
Copied: trunk/OpenRTM-aist-Python/packages/deb/bin/debian_debcp.sh (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/debian_debcp.sh)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/bin/debian_debcp.sh (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/bin/debian_debcp.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,101 @@
+#!/bin/sh
+#
+# @file vine_repo
+# @brief apt-rpm repository database creation for VineLinux
+# @date $Date$
+# @author Noriaki Ando <n-ando at aist.go.jp>
+#
+# Copyright (C) 2008
+# Noriaki Ando
+# Task-intelligence Research Group,
+# Intelligent Systems Research Institute,
+# National Institute of
+# Advanced Industrial Science and Technology (AIST), Japan
+# All rights reserved.
+#
+# $Id$
+#
+
+# Base directory of repository
+basedir="/exports/pub/repository/pub/Linux/debian/dists"
+pkgdir="/usr/users/builder/PackageBuild/"
+# debian versions
+codenames="etch sarge lenny"
+# VineLinux architectures
+darchs="i386 amd64"
+
+debcode2ver () {
+ case $1 in
+ "sarge")
+ echo "3.1"
+ ;;
+ "etch")
+ echo "4.0"
+ ;;
+ "lenny")
+ echo "5.0"
+ ;;
+ *)
+ echo "unknown code name"
+ exit 1
+ ;;
+ esac
+}
+
+debarch2arch () {
+ case $1 in
+ "i386")
+ echo "i686"
+ ;;
+ "amd64")
+ echo "x86_64"
+ ;;
+ *)
+ echo "unknown arch"
+ exit 1
+ ;;
+ esac
+}
+
+
+
+for codename in $codenames; do
+ for darch in $darchs ; do
+ version=`debcode2ver $codename`
+ arch=`debarch2arch $darch`
+
+ debs="$pkgdir/Debian$version-$arch/"
+ repo="$basedir/$codename/main/binary-$darch"
+
+ # ディレクトリが存在しないならスキップ
+ if test ! -d $debs ; then
+ echo $debs "does not exists. skiped."
+ continue
+ fi
+
+ # ディレクトリが存在しないなら作成
+ if test ! -d $repo ; then
+ mkdir -p $repo
+ fi
+
+ echo ""
+ echo "Copying debs to repository:"
+ echo "dir: "$repo
+
+ for deb in $debs/* ; do
+ debname=`basename $deb`
+ if test -f $repo/$debname ; then
+ echo "$repo/$debname already exists"
+ read -p "Overwrite? $rpmname [Y/n]" ow
+ if test ! "$ow" = "n" ; then
+ echo "copying $debname"
+ cp $debs/$debname $repo
+ echo "copy done"
+ fi
+ else
+ cp $debs/$debname $repo
+ echo "copy done"
+ fi
+ done
+ done
+done
Copied: trunk/OpenRTM-aist-Python/packages/deb/bin/debian_repo.sh (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/debian_repo.sh)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/bin/debian_repo.sh (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/bin/debian_repo.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# @file debian_repo
+# @brief apt-deb repository database creation for debian
+# @date $Date$
+# @author Noriaki Ando <n-ando at aist.go.jp>
+#
+# Copyright (C) 2008
+# Noriaki Ando
+# Task-intelligence Research Group,
+# Intelligent Systems Research Institute,
+# National Institute of
+# Advanced Industrial Science and Technology (AIST), Japan
+# All rights reserved.
+#
+# $Id$
+#
+
+# Base directory of repository
+cd /exports/pub/repository/pub/Linux/debian
+
+# debian versions
+versions="etch sarge lenny"
+
+# debian architectures
+archs="binary-i386 binary-amd64"
+
+for version in $versions; do
+ for arch in $archs ; do
+ debs="dists/$version/main/$arch"
+ echo ""
+ echo "Creating apt-dev database under:"
+ echo $debs
+ apt-ftparchive packages $debs | gzip -c9 > $debs/Packages.gz
+ done
+# dpkg-scansources $version/main/source | gzip > $version/main/source/Sources.gz
+done
Copied: trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_debcp.sh (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/ubuntu_debcp.sh)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_debcp.sh (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_debcp.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,120 @@
+#!/bin/sh
+#
+# @file vine_repo
+# @brief apt-rpm repository database creation for VineLinux
+# @date $Date$
+# @author Noriaki Ando <n-ando at aist.go.jp>
+#
+# Copyright (C) 2008
+# Noriaki Ando
+# Task-intelligence Research Group,
+# Intelligent Systems Research Institute,
+# National Institute of
+# Advanced Industrial Science and Technology (AIST), Japan
+# All rights reserved.
+#
+# $Id$
+#
+
+# Base directory of repository
+basedir="/exports/pub/repository/pub/Linux/ubuntu/dists"
+pkgdir="/usr/users/builder/PackageBuild/"
+# debian versions
+codenames="edgy feisty gutsy hardy intrepid jaunty karmic lucid"
+codenames="lucid maverick"
+# VineLinux architectures
+darchs="i386 amd64"
+
+debcode2ver () {
+ case $1 in
+ "edgy")
+ echo "6.10"
+ ;;
+ "feisty")
+ echo "7.04"
+ ;;
+ "gutsy")
+ echo "7.10"
+ ;;
+ "hardy")
+ echo "8.04"
+ ;;
+ "intrepid")
+ echo "8.10"
+ ;;
+ "jaunty")
+ echo "9.04"
+ ;;
+ "karmic")
+ echo "9.10"
+ ;;
+ "lucid")
+ echo "10.04LTS"
+ ;;
+ "maverick")
+ echo "10.10"
+ ;;
+ *)
+ echo "unknown code name"
+ exit 1
+ ;;
+ esac
+}
+
+debarch2arch () {
+ case $1 in
+ "i386")
+ echo "i686"
+ ;;
+ "amd64")
+ echo "x86_64"
+ ;;
+ *)
+ echo "unknown arch"
+ exit 1
+ ;;
+ esac
+}
+
+
+
+for codename in $codenames; do
+ for darch in $darchs ; do
+ version=`debcode2ver $codename`
+ arch=`debarch2arch $darch`
+
+ debs="$pkgdir/Ubuntu$version-$arch/"
+ repo="$basedir/$codename/main/binary-$darch"
+
+ # ディレクトリが存在しないならスキップ
+ if test ! -d $debs ; then
+ echo $debs "does not exists. skiped."
+ continue
+ fi
+
+ # ディレクトリが存在しないなら作成
+ if test ! -d $repo ; then
+ mkdir -p $repo
+ fi
+
+ echo ""
+ echo "Copying debs to repository:"
+ echo "dir: "$repo
+
+ for deb in $debs* ; do
+ debname=`basename $deb`
+ if test -f $repo/$debname ; then
+ echo "$repo/$debname already exists"
+ read -p "Overwrite? $rpmname [Y/n]" ow
+ if test ! "$ow" = "n" ; then
+ echo "copying $debname"
+ cp $debs/$debname $repo
+ echo "copy done"
+ fi
+ else
+ cp $debs/$debname $repo
+ echo "copy done"
+ fi
+ done
+ done
+done
Copied: trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_repo.sh (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/ubuntu_repo.sh)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_repo.sh (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/bin/ubuntu_repo.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,39 @@
+#!/bin/sh
+#
+# @file Ubuntu_repo
+# @brief apt-deb repository database creation for Ubuntu
+# @date $Date$
+# @author Noriaki Ando <n-ando at aist.go.jp>
+#
+# Copyright (C) 2008
+# Noriaki Ando
+# Task-intelligence Research Group,
+# Intelligent Systems Research Institute,
+# National Institute of
+# Advanced Industrial Science and Technology (AIST), Japan
+# All rights reserved.
+#
+# $Id$
+#
+
+# Base directory of repository
+cd /exports/pub/repository/pub/Linux/ubuntu
+
+# Ubuntu versions
+versions="edgy feisty gutsy hardy intrepid jaunty karmic lucid maverick"
+
+# Ubuntu architectures
+archs="binary-i386 binary-amd64"
+
+for version in $versions; do
+ for arch in $archs ; do
+ debs=dists/$version/main/$arch
+ echo ""
+ echo "Creating apt-dev database under:"
+ echo $debs
+ touch package
+ dpkg-scanpackages -m $debs package | gzip > $debs/Packages.gz
+# apt-ftparchive packages $debs | gzip -c9 > $debs/Packages.gz
+ done
+# dpkg-scansources $version/main/source | gzip > $version/main/source/Sources.gz
+done
Deleted: trunk/OpenRTM-aist-Python/packages/deb/changelog
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/changelog 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/changelog 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,11 +0,0 @@
-openrtm-aist-python (1.1.0-1) experimental; urgency=low
-
- * 1.1.0-1 (1.1.0-RELEASE). OpenRTM-aist-1.1.0-RELEASE
-
- -- Noriaki Ando <n-ando at aist.go.jp> Fri, 26 Apr 2013 02:00:00 +0900
-
-openrtm-aist-python (1.1.0-0) experimental; urgency=low
-
- * 1.1.0-0 (1.1.0-RELEASE). OpenRTM-aist-1.1.0-RELEASE
-
- -- Noriaki Ando <n-ando at aist.go.jp> Fri, 26 Apr 2013 01:36:44 +0900
Deleted: trunk/OpenRTM-aist-Python/packages/deb/compat
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/compat 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/compat 2013-05-02 15:17:15 UTC (rev 578)
@@ -1 +0,0 @@
-4
Deleted: trunk/OpenRTM-aist-Python/packages/deb/control
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/control 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/control 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,30 +0,0 @@
-Source: openrtm-aist-python
-Section: main
-Priority: extra
-Maintainer: Noriaki Ando <n-ando at aist.go.jp>
-Build-Depends: debhelper, python, python-omniorb
-Standards-Version: 3.8.4
-Homepage: http://www.openrtm.org
-
-Package: openrtm-aist-python
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: OpenRTM-aist is a reference implementation of RT-Middleware
- and RT-Component framework. RT-Component (RTC) is a component model
- standardized in OMG (Object Management Group) as Robotic Technology
- Component Specification 1.0 (formal/08-04-04,
- http://www.omg.org/spec/RTC/1.0). OpenRTM-aist is being developed and
- distributed by Intelligent Systems Research Institute, National
- Institute of Advanced Industrial Science and Technology (AIST), Japan.
- Please see http://openrtm.org/ for more details.
-
-Package: openrtm-aist-python-example
-Architecture: any
-Depends: openrtm-aist-python
-Description: OpenRTM-aist-Python examples
- Example components and sources
-
-Package: openrtm-aist-python-doc
-Architecture: all
-Description: Documentation for openrtm-aist-python
- Developer documentation.
Deleted: trunk/OpenRTM-aist-Python/packages/deb/copyright
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/copyright 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/copyright 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,35 +0,0 @@
-This package was debianized by Noriaki Ando <n-ando at aist.go.jp> on
-Fri, 26 Apr 2013 01:40:55 +0900.
-
-It was downloaded from http://www.openrtm.org
-
-Upstream Author(s):
-
- Noriaki Ando <n-ando at aist.go.jp>
-
-Copyright:
-
- Copyright (C) 2003-2013
- Noriaki Ando and the OpenRTM-aist Project team
- Intelligent Systems Research Institute,
- National Institute of Advanced Industrial Science and Technology (AIST),
- Tsukuba, Japan, All rights reserved.
-
-License:
-
- The OpenRTM-aist is the dual-licensed open source software. You can
- use, copy, distribute and/or modify this library under the terms and
- conditions of either of the licenses below.
-
- 1) LGPL (GNU Lesser General Public License - v 2.1)
- See COPYING.LIB.
-
- 2) Individual Licnese
- You can purchase license from AIST and/or AIST's TLO to copy,
- distribute, modify and/or sublicense the library without any
- limitation in the terms of LGPL. The individual license should be
- concluded with a negotiated agreement between you and AIST and/or AIST
- TLO. To conclude individual license, contact the person responsible of
- AIST.
-
-
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/README.Debian (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/README.Debian)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/README.Debian (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/README.Debian 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,28 @@
+openrtm-aist for Debian
+-----------------------
+Debian package of OpenRTM-aist
+
+OpenRTM-aist supports Debian and Ubuntu distribution.
+
+OpenRTM-aist official deb packages might be provided for the newest
+and former major releases of Debian under the following URL. For the
+Ubuntu distribution, deb packages might be provided for desktop
+versions of officially supported Ubuntu.
+
+- Debian package repository
+http://www.openrtm.org/pub/Linux/debian/
+
+- Ubuntu package repository
+http://www.openrtm.org/pub/Linux/ubuntu/
+
+The easyest way to install OpenRTM-aist to your Debian/Ubuntu systems
+is to download installation shell script from the following URL.
+
+- Ubuntu installation script: pkg_install100_ubuntu.sh
+- Debian installation script: pkg_install100_debian.sh
+http://openrtm.org/svnroot/OpenRTM-aist/trunk/OpenRTM-aist/build/
+
+For more details about OpenRTM-aist please visit the official site.
+http://www.openrtm.org
+
+ -- Noriaki Ando <n-ando at aist.go.jp> Mon, 23 Jun 2008 16:18:55 +0900
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/changelog (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/changelog)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/changelog (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/changelog 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,11 @@
+openrtm-aist-python (1.1.0-1) experimental; urgency=low
+
+ * 1.1.0-1 (1.1.0-RELEASE). OpenRTM-aist-1.1.0-RELEASE
+
+ -- Noriaki Ando <n-ando at aist.go.jp> Fri, 26 Apr 2013 02:00:00 +0900
+
+openrtm-aist-python (1.1.0-0) experimental; urgency=low
+
+ * 1.1.0-0 (1.1.0-RELEASE). OpenRTM-aist-1.1.0-RELEASE
+
+ -- Noriaki Ando <n-ando at aist.go.jp> Fri, 26 Apr 2013 01:36:44 +0900
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/compat (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/compat)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/compat (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/compat 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1 @@
+4
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/control (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/control)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/control (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/control 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,30 @@
+Source: openrtm-aist-python
+Section: main
+Priority: extra
+Maintainer: Noriaki Ando <n-ando at aist.go.jp>
+Build-Depends: debhelper, python, python-omniorb
+Standards-Version: 3.8.4
+Homepage: http://www.openrtm.org
+
+Package: openrtm-aist-python
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: OpenRTM-aist is a reference implementation of RT-Middleware
+ and RT-Component framework. RT-Component (RTC) is a component model
+ standardized in OMG (Object Management Group) as Robotic Technology
+ Component Specification 1.0 (formal/08-04-04,
+ http://www.omg.org/spec/RTC/1.0). OpenRTM-aist is being developed and
+ distributed by Intelligent Systems Research Institute, National
+ Institute of Advanced Industrial Science and Technology (AIST), Japan.
+ Please see http://openrtm.org/ for more details.
+
+Package: openrtm-aist-python-example
+Architecture: any
+Depends: openrtm-aist-python
+Description: OpenRTM-aist-Python examples
+ Example components and sources
+
+Package: openrtm-aist-python-doc
+Architecture: all
+Description: Documentation for openrtm-aist-python
+ Developer documentation.
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/copyright (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/copyright)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/copyright (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/copyright 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,35 @@
+This package was debianized by Noriaki Ando <n-ando at aist.go.jp> on
+Fri, 26 Apr 2013 01:40:55 +0900.
+
+It was downloaded from http://www.openrtm.org
+
+Upstream Author(s):
+
+ Noriaki Ando <n-ando at aist.go.jp>
+
+Copyright:
+
+ Copyright (C) 2003-2013
+ Noriaki Ando and the OpenRTM-aist Project team
+ Intelligent Systems Research Institute,
+ National Institute of Advanced Industrial Science and Technology (AIST),
+ Tsukuba, Japan, All rights reserved.
+
+License:
+
+ The OpenRTM-aist is the dual-licensed open source software. You can
+ use, copy, distribute and/or modify this library under the terms and
+ conditions of either of the licenses below.
+
+ 1) LGPL (GNU Lesser General Public License - v 2.1)
+ See COPYING.LIB.
+
+ 2) Individual Licnese
+ You can purchase license from AIST and/or AIST's TLO to copy,
+ distribute, modify and/or sublicense the library without any
+ limitation in the terms of LGPL. The individual license should be
+ concluded with a negotiated agreement between you and AIST and/or AIST
+ TLO. To conclude individual license, contact the person responsible of
+ AIST.
+
+
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/docs (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/docs)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/docs (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/docs 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,3 @@
+NEWS
+README
+README.jp
Copied: trunk/OpenRTM-aist-Python/packages/deb/debian/rules (from rev 575, trunk/OpenRTM-aist-Python/packages/deb/rules)
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian/rules (rev 0)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian/rules 2013-05-02 15:17:15 UTC (rev 578)
@@ -0,0 +1,87 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ touch configure-stamp
+
+
+build: build-stamp
+ python setup.py build
+
+build-stamp: configure-stamp
+ dh_testdir
+ touch $@
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+ python setup.py clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+
+ # installing core
+ python setup.py install_core --prefix=$(CURDIR)/debian/openrtm-aist-python/usr
+ # installing examples
+ (mkdir $(CURDIR)/debian/openrtm-aist-python-example/usr/)
+ python setup.py install_example --install-dir=$(CURDIR)/debian/openrtm-aist-python-example/usr/
+ # installing examples
+ (mkdir $(CURDIR)/debian/openrtm-aist-python-doc/usr/)
+ python setup.py install_doc --install-dir=$(CURDIR)/debian/openrtm-aist-python-doc/usr/
+ dh_install -s
+
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+ dh_testdir
+ dh_testroot
+# dh_installchangelogs
+# dh_installdocs
+ dh_installexamples
+# dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_python
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+# dh_perl
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
Deleted: trunk/OpenRTM-aist-Python/packages/deb/debian_debcp.sh
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian_debcp.sh 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian_debcp.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,101 +0,0 @@
-#!/bin/sh
-#
-# @file vine_repo
-# @brief apt-rpm repository database creation for VineLinux
-# @date $Date$
-# @author Noriaki Ando <n-ando at aist.go.jp>
-#
-# Copyright (C) 2008
-# Noriaki Ando
-# Task-intelligence Research Group,
-# Intelligent Systems Research Institute,
-# National Institute of
-# Advanced Industrial Science and Technology (AIST), Japan
-# All rights reserved.
-#
-# $Id$
-#
-
-# Base directory of repository
-basedir="/exports/pub/repository/pub/Linux/debian/dists"
-pkgdir="/usr/users/builder/PackageBuild/"
-# debian versions
-codenames="etch sarge lenny"
-# VineLinux architectures
-darchs="i386 amd64"
-
-debcode2ver () {
- case $1 in
- "sarge")
- echo "3.1"
- ;;
- "etch")
- echo "4.0"
- ;;
- "lenny")
- echo "5.0"
- ;;
- *)
- echo "unknown code name"
- exit 1
- ;;
- esac
-}
-
-debarch2arch () {
- case $1 in
- "i386")
- echo "i686"
- ;;
- "amd64")
- echo "x86_64"
- ;;
- *)
- echo "unknown arch"
- exit 1
- ;;
- esac
-}
-
-
-
-for codename in $codenames; do
- for darch in $darchs ; do
- version=`debcode2ver $codename`
- arch=`debarch2arch $darch`
-
- debs="$pkgdir/Debian$version-$arch/"
- repo="$basedir/$codename/main/binary-$darch"
-
- # ディレクトリが存在しないならスキップ
- if test ! -d $debs ; then
- echo $debs "does not exists. skiped."
- continue
- fi
-
- # ディレクトリが存在しないなら作成
- if test ! -d $repo ; then
- mkdir -p $repo
- fi
-
- echo ""
- echo "Copying debs to repository:"
- echo "dir: "$repo
-
- for deb in $debs/* ; do
- debname=`basename $deb`
- if test -f $repo/$debname ; then
- echo "$repo/$debname already exists"
- read -p "Overwrite? $rpmname [Y/n]" ow
- if test ! "$ow" = "n" ; then
- echo "copying $debname"
- cp $debs/$debname $repo
- echo "copy done"
- fi
- else
- cp $debs/$debname $repo
- echo "copy done"
- fi
- done
- done
-done
Deleted: trunk/OpenRTM-aist-Python/packages/deb/debian_repo.sh
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/debian_repo.sh 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/debian_repo.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,37 +0,0 @@
-#!/bin/sh
-#
-# @file debian_repo
-# @brief apt-deb repository database creation for debian
-# @date $Date$
-# @author Noriaki Ando <n-ando at aist.go.jp>
-#
-# Copyright (C) 2008
-# Noriaki Ando
-# Task-intelligence Research Group,
-# Intelligent Systems Research Institute,
-# National Institute of
-# Advanced Industrial Science and Technology (AIST), Japan
-# All rights reserved.
-#
-# $Id$
-#
-
-# Base directory of repository
-cd /exports/pub/repository/pub/Linux/debian
-
-# debian versions
-versions="etch sarge lenny"
-
-# debian architectures
-archs="binary-i386 binary-amd64"
-
-for version in $versions; do
- for arch in $archs ; do
- debs="dists/$version/main/$arch"
- echo ""
- echo "Creating apt-dev database under:"
- echo $debs
- apt-ftparchive packages $debs | gzip -c9 > $debs/Packages.gz
- done
-# dpkg-scansources $version/main/source | gzip > $version/main/source/Sources.gz
-done
Deleted: trunk/OpenRTM-aist-Python/packages/deb/docs
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/docs 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/docs 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,3 +0,0 @@
-NEWS
-README
-README.jp
Modified: trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/dpkg_build.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -10,7 +10,7 @@
# - copyright
# - dirs
# - docs
-# - rules
+# - rules
#
# the following files shoud be generated at make-dist
# - files
@@ -18,7 +18,7 @@
# Package build process
#
# 1. edit "changelog" file with appropriate package version number
-# like "1.1.0-2." This version number will be used for actual
+# like "1.1.0-2." This version number will be used for actual
# deb package files.
#
# 2. Check permissions of the parent directory of distribution sourcecode
@@ -29,96 +29,146 @@
# This script do everithings.
#
-export PATH=/usr/local/bin:/usr/bin:/bin:/usr/X11R6/bin:/usr/local/X11R6/bin:/usr/local/sbin:/usr/sbin:/sbin
export LANG=C
export LC_ALL=C
-# system information
-os=`uname -s`
-release=`uname -r`-`uname -p`
+BUILD_ROOT=""
-dist_name=""
-dist_key=""
-# Check the lsb distribution name
-if test -f /etc/lsb-release ; then
+cleanup_files()
+{
+ get_version_info
+ rm -f ../openrtm-aist*.deb
+ rm -f ../openrtm-aist*.dsc
+ rm -f ../openrtm-aist*.changes
+ rm -f ../openrtm-aist*.tar.gz
+ rm -rf ${BUILD_ROOT}
+}
+
+get_opt()
+{
+ if test "x$1" = "xclean"; then
+ cleanup_files
+ exit 0
+ fi
+}
+
+check_distribution()
+{
+ os=`uname -s`
+ release=`uname -r`-`uname -p`
+ dist_name=""
+ dist_key=""
+ # Check the lsb distribution name
+ if test -f /etc/lsb-release ; then
. /etc/lsb-release
if test "x$DISTRIB_DESCRIPTION" != "x" ; then
- dist_name=$DISTRIB_DESCRIPTION-`uname -m`
- dist_key=$DISTRIB_ID
+ dist_name=$DISTRIB_DESCRIPTION-`uname -m`
+ dist_key=$DISTRIB_ID
fi
-fi
-# Check the Fedora version
-if test "x$dist_name" = "x" && test -f /etc/fedora-release ; then
+ fi
+ # Check the Fedora version
+ if test "x$dist_name" = "x" && test -f /etc/fedora-release ; then
dist_name=`cat /etc/fedora-release`-`uname -m`
dist_key=`sed -e 's/.[^0-9]*\([0-9]\).*/fc\1/' /etc/fedora-release`
-fi
-# Check the Debian version
-if test "x$dist_name" = "x" && test -f /etc/debian_version ; then
+ fi
+ # Check the Debian version
+ if test "x$dist_name" = "x" && test -f /etc/debian_version ; then
dist_name="Debian"`cat /etc/debian_version`-`uname -m`
dist_key="Debian"
-fi
-# Check the Vine version
-if test "x$dist_name" = "x" && test -f /etc/vine-release ; then
+ fi
+ # Check the Vine version
+ if test "x$dist_name" = "x" && test -f /etc/vine-release ; then
dist_name=`cat /etc/vine-release`-`uname -m`
dist_key=`sed -e 's/.*\([0-9]\)\.\([0-9]\).*/vl\1\2/' /etc/vine-release`
-fi
-# Check the TuboLinux version
-if test "x$dist_name" = "x" && test -f /etc/turbolinux-release ; then
+ fi
+ # Check the TuboLinux version
+ if test "x$dist_name" = "x" && test -f /etc/turbolinux-release ; then
dist_name=`cat /etc/tubolinux-release`-`uname -m`
dist_key=""
-fi
+ fi
-if test "x$dist_name" = "x" ; then
+ if test "x$dist_name" = "x" ; then
dist_name=$os$release
-fi
-# Check the RedHat/Fedora version
-if test "x$dist_name" = "x" && test -f /etc/redhat-release ; then
+ fi
+ # Check the RedHat/Fedora version
+ if test "x$dist_name" = "x" && test -f /etc/redhat-release ; then
dist_name=`cat /etc/redhat-release`-`uname -m`
-fi
+ fi
-# only fedora and vine
-if test ! "x$dist_key" = "xDebian" -a ! "x$dist_key" = "xUbuntu" ; then
+ # only fedora and vine
+ if test ! "x$dist_key" = "xDebian" -a ! "x$dist_key" = "xUbuntu" ; then
echo $dist_key
echo "This is not debian/ubuntu"
exit 0
-fi
+ fi
+ DIST_KEY=$dist_key
+ DIST_NAME=`echo $dist_name | sed 's/[ |\(|\)]//g'`
+}
-#------------------------------------------------------------
-# create "files" file
-#------------------------------------------------------------
-if test ! -f "files" ; then
- PKGVER=`head -n 1 changelog | sed 's/.*(\([0-9\.\-]*\).*/\1/'`
- echo "openrtm-aist-python_"${PKGVER}"_amd64.deb main extra" > files
- echo "openrtm-aist-python-example_"${PKGVER}"_amd64.deb main extra" >> files
- echo "openrtm-aist-python-doc_"${PKGVER}"_all.deb main extra" >> files
-fi
+get_version_info()
+{
+ VERSION=`../../setup.py --version`
+ SHORT_VERSION=`echo $VERSION | sed 's/\.[0-9]*$//'`
+ BUILD_ROOT="buildroot"
+ PKG_NAME="OpenRTM-aist-Python-${VERSION}"
+}
-#------------------------------------------------------------
-# package build process
-#------------------------------------------------------------
-packagedir=`pwd`/../../
-mkdir $packagedir/debian
+create_source_package()
+{
+ cd ../../
+ ./setup.py build
+ ./setup.py sdist
+ cd -
+}
-rm -f $packagedir/packages/openrtm-aist*
+extract_source()
+{
+ tar xvzf ../../dist/${PKG_NAME}.tar.gz
+ mv ${PKG_NAME} ${BUILD_ROOT}
+}
-cp README.Debian $packagedir/debian/
-cp changelog $packagedir/debian/
-cp compat $packagedir/debian/
-cp control $packagedir/debian/
-cp copyright $packagedir/debian/
-cp dirs $packagedir/debian/
-cp docs $packagedir/debian/
-cp files $packagedir/debian/
-chmod 444 $packagedir/debian/files
-cp rules $packagedir/debian/
-chmod 755 $packagedir/debian/rules
+copy_control_files()
+{
+ chmod 444 debian/files
+ chmod 755 debian/rules
+ cp -r debian ${BUILD_ROOT}/
+}
-cd $packagedir
+build_package()
+{
+ if test ! -d ${BUILD_ROOT} ; then
+ echo "${BUILD_ROOT} not found. Aborting."
+ exit -1
+ fi
+ cd $BUILD_ROOT
+ dpkg-buildpackage -W -us -uc -rfakeroot
+ if test $? -ne 0; then
+ echo "dpkg-build failed"
+ exit -1
+ fi
+ cd -
+}
-dpkg-buildpackage -W -us -uc -rfakeroot
-if test $? -ne 0; then
- echo "dpkg-build failed"
- exit -1
-fi
+copy_debfiles()
+{
+ mv ./openrtm-aist*.deb ..
+ mv ./openrtm-aist*.dsc ..
+ mv ./openrtm-aist*.changes ..
+ mv ./openrtm-aist*.tar.gz ..
+}
-mv $packagedir/../openrtm-aist* $packagedir/packages/
+#==============================
+# main
+#==============================
+get_opt $*
+
+check_distribution
+get_version_info
+
+cleanup_files
+create_source_package
+extract_source
+copy_control_files
+
+build_package
+copy_debfiles
Deleted: trunk/OpenRTM-aist-Python/packages/deb/files
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/files 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/files 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,3 +0,0 @@
-openrtm-aist-python_1.1.0-0_amd64.deb main extra
-openrtm-aist-python-example_1.1.0-0_amd64.deb main extra
-openrtm-aist-python-doc_1.1.0-0_all.deb main extra
Deleted: trunk/OpenRTM-aist-Python/packages/deb/rules
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/rules 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/rules 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,87 +0,0 @@
-#!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-configure: configure-stamp
-configure-stamp:
- dh_testdir
- # Add here commands to configure the package.
-
- touch configure-stamp
-
-
-build: build-stamp
- python setup.py build
-
-build-stamp: configure-stamp
- dh_testdir
- touch $@
-
-clean:
- dh_testdir
- dh_testroot
- rm -f build-stamp configure-stamp
- python setup.py clean
-
- dh_clean
-
-install: build
- dh_testdir
- dh_testroot
- dh_clean -k
- dh_installdirs
-
- # installing core
- python setup.py install_core --prefix=$(CURDIR)/debian/openrtm-aist-python/usr
- # installing examples
- (mkdir $(CURDIR)/debian/openrtm-aist-python-example/usr/)
- python setup.py install_example --install-dir=$(CURDIR)/debian/openrtm-aist-python-example/usr/
- # installing examples
- (mkdir $(CURDIR)/debian/openrtm-aist-python-doc/usr/)
- python setup.py install_doc --install-dir=$(CURDIR)/debian/openrtm-aist-python-doc/usr/
- dh_install -s
-
-# Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
- dh_testdir
- dh_testroot
-# dh_installchangelogs
-# dh_installdocs
- dh_installexamples
-# dh_install
-# dh_installmenu
-# dh_installdebconf
-# dh_installlogrotate
-# dh_installemacsen
-# dh_installpam
-# dh_installmime
-# dh_python
-# dh_installinit
-# dh_installcron
-# dh_installinfo
- dh_installman
- dh_link
- dh_strip
- dh_compress
- dh_fixperms
-# dh_perl
-# dh_makeshlibs
- dh_installdeb
- dh_shlibdeps
- dh_gencontrol
- dh_md5sums
- dh_builddeb
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
Deleted: trunk/OpenRTM-aist-Python/packages/deb/ubuntu_debcp.sh
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/ubuntu_debcp.sh 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/ubuntu_debcp.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,120 +0,0 @@
-#!/bin/sh
-#
-# @file vine_repo
-# @brief apt-rpm repository database creation for VineLinux
-# @date $Date$
-# @author Noriaki Ando <n-ando at aist.go.jp>
-#
-# Copyright (C) 2008
-# Noriaki Ando
-# Task-intelligence Research Group,
-# Intelligent Systems Research Institute,
-# National Institute of
-# Advanced Industrial Science and Technology (AIST), Japan
-# All rights reserved.
-#
-# $Id$
-#
-
-# Base directory of repository
-basedir="/exports/pub/repository/pub/Linux/ubuntu/dists"
-pkgdir="/usr/users/builder/PackageBuild/"
-# debian versions
-codenames="edgy feisty gutsy hardy intrepid jaunty karmic lucid"
-codenames="lucid maverick"
-# VineLinux architectures
-darchs="i386 amd64"
-
-debcode2ver () {
- case $1 in
- "edgy")
- echo "6.10"
- ;;
- "feisty")
- echo "7.04"
- ;;
- "gutsy")
- echo "7.10"
- ;;
- "hardy")
- echo "8.04"
- ;;
- "intrepid")
- echo "8.10"
- ;;
- "jaunty")
- echo "9.04"
- ;;
- "karmic")
- echo "9.10"
- ;;
- "lucid")
- echo "10.04LTS"
- ;;
- "maverick")
- echo "10.10"
- ;;
- *)
- echo "unknown code name"
- exit 1
- ;;
- esac
-}
-
-debarch2arch () {
- case $1 in
- "i386")
- echo "i686"
- ;;
- "amd64")
- echo "x86_64"
- ;;
- *)
- echo "unknown arch"
- exit 1
- ;;
- esac
-}
-
-
-
-for codename in $codenames; do
- for darch in $darchs ; do
- version=`debcode2ver $codename`
- arch=`debarch2arch $darch`
-
- debs="$pkgdir/Ubuntu$version-$arch/"
- repo="$basedir/$codename/main/binary-$darch"
-
- # ディレクトリが存在しないならスキップ
- if test ! -d $debs ; then
- echo $debs "does not exists. skiped."
- continue
- fi
-
- # ディレクトリが存在しないなら作成
- if test ! -d $repo ; then
- mkdir -p $repo
- fi
-
- echo ""
- echo "Copying debs to repository:"
- echo "dir: "$repo
-
- for deb in $debs* ; do
- debname=`basename $deb`
- if test -f $repo/$debname ; then
- echo "$repo/$debname already exists"
- read -p "Overwrite? $rpmname [Y/n]" ow
- if test ! "$ow" = "n" ; then
- echo "copying $debname"
- cp $debs/$debname $repo
- echo "copy done"
- fi
- else
- cp $debs/$debname $repo
- echo "copy done"
- fi
- done
- done
-done
Deleted: trunk/OpenRTM-aist-Python/packages/deb/ubuntu_repo.sh
===================================================================
--- trunk/OpenRTM-aist-Python/packages/deb/ubuntu_repo.sh 2013-05-02 12:59:10 UTC (rev 577)
+++ trunk/OpenRTM-aist-Python/packages/deb/ubuntu_repo.sh 2013-05-02 15:17:15 UTC (rev 578)
@@ -1,39 +0,0 @@
-#!/bin/sh
-#
-# @file Ubuntu_repo
-# @brief apt-deb repository database creation for Ubuntu
-# @date $Date$
-# @author Noriaki Ando <n-ando at aist.go.jp>
-#
-# Copyright (C) 2008
-# Noriaki Ando
-# Task-intelligence Research Group,
-# Intelligent Systems Research Institute,
-# National Institute of
-# Advanced Industrial Science and Technology (AIST), Japan
-# All rights reserved.
-#
-# $Id$
-#
-
-# Base directory of repository
-cd /exports/pub/repository/pub/Linux/ubuntu
-
-# Ubuntu versions
-versions="edgy feisty gutsy hardy intrepid jaunty karmic lucid maverick"
-
-# Ubuntu architectures
-archs="binary-i386 binary-amd64"
-
-for version in $versions; do
- for arch in $archs ; do
- debs=dists/$version/main/$arch
- echo ""
- echo "Creating apt-dev database under:"
- echo $debs
- touch package
- dpkg-scanpackages -m $debs package | gzip > $debs/Packages.gz
-# apt-ftparchive packages $debs | gzip -c9 > $debs/Packages.gz
- done
-# dpkg-scansources $version/main/source | gzip > $version/main/source/Sources.gz
-done
More information about the openrtm-commit
mailing list